Package com.ads.api.beans.common

# Class APIConstants

java.lang.Object
com.ads.api.beans.common.APIConstants

public class APIConstants extends Object
This class provides some beans control methods related to versionMode, SelectionCriteria, ExportOption and its details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `APIConstants.AuthenticationResponseCode`
  `static enum`
  `APIConstants.AuthenticationResponseType`
  `static enum`
  `APIConstants.BGMFillOptions`
  `static enum`
  `APIConstants.CSMFillOptions`
  `static enum`
  `APIConstants.DefinedBy`
  `static enum`
  `APIConstants.DeleteMode`
  These ENUM constants are used to specify the status as ACTIVE, PASSIVE, RETIRE.
  `static enum`
  `APIConstants.ELNScope`
  `static enum`
  `APIConstants.EndPointType`
  `static enum`
  `APIConstants.ExpiryType`
  `static enum`
  `APIConstants.ExportOption`
  These ENUM constants are used to specify the ExportOption as EXPORT_INTO_MULTIPLE_SHEET, EXPORT_ALL, and EXPORT_INTO_SINGLE_SHEET.
  `static enum`
  `APIConstants.FileExtension`
  These ENUM constants are used to specify the FileExtension as AMP, ZIP, and XML.
  `static enum`
  `APIConstants.FilePathType`
  These ENUM constants are used to specify the FilePathType as ABSOLUTE, RELATIVE.
  `static enum`
  `APIConstants.JOBInterval`
  `static enum`
  `APIConstants.JOBState`
  `static enum`
  `APIConstants.JOBType`
  `static enum`
  `APIConstants.LanguagePreference`
  `static enum`
  `APIConstants.LineageType`
  `static enum`
  `APIConstants.LoadOptions`
  `static enum`
  `APIConstants.MetadataScanAction`
  `static enum`
  `APIConstants.MMFillOptions`
  `static enum`
  `APIConstants.Module`
  `static enum`
  `APIConstants.OutputFormat`
  `static enum`
  `APIConstants.PropertiesType`
  `static enum`
  `APIConstants.RelationshipType`
  `static enum`
  `APIConstants.RSMFillOptions`
  `static enum`
  `APIConstants.RunState`
  `static enum`
  `APIConstants.sdiFillOptions`
  `static enum`
  `APIConstants.SelectionCriteria`
  These ENUM constants are used to specify the SelectionCriteria as ALL, ACTIVE, and PASSIVE.
  `static enum`
  `APIConstants.SMFillOptions`
  `static enum`
  `APIConstants.Status`
  These ENUM constants are used to specify the status as ACTIVE, PASSIVE, RETIRE.
  `static enum`
  `APIConstants.UserAccountStatus`
  `static enum`
  `APIConstants.VersionMode`
  These ENUM constants are used to specify the VersionMode such as ALL_VERSIONS, CURRENT_VERSION, and SPECIFIC_VERSION.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `APPLICATION_DOCUMENTS_PATH`
  A constant holding the String value of application documents path.
  `static final String`
  `ARCHIVED_PUBLISHED_MAP_IDS`
  A constant holding the String value, an ARCHIVED_PUBLISHED_MAP_IDS can have ARCHIVED_PUBLISHED_MAP_IDS, the IDS of the archived maps which are published.
  `static final String`
  `DELETE_KEY_COUNT`
  A constant holding the String value, an DELETE_KEY_COUNT can have DELETE_KEY_COUNT i.e the number of deleted keyValues
  `static final String`
  `DUPLICATE_TESTCASE_VALIDATION_STEP_NAME`
  A constant DUPLICATE_TESTCASE_VALIDATION_STEP_NAME holds the String value DUPLICATE_TESTCASE_VALIDATION_STEP_NAME i.e the duplicateStepnames
  `static final String`
  `FAILED_IDS`
  A constant holding the String value, an FAILED_IDS can have FAILED_IDS.i.e IDS which are failed.
  `static final String`
  `FAILED_OBJECTS`
  A constant holding the String value, an FAILED_OBJECTS can have FAILED_OBJECTS.
  `static final String`
  `INVALID_COMBINATION_IDS`
  A constant holding the String value, an INVALID_COMBINATION_IDS can have INVALID_COMBINATION_IDS, the IDS of the invalid combinations.
  `static final String`
  `INVALID_IDS`
  A constant holding the String value, an INVALID_IDS can have INVALID_IDS, the IDS of the invalid at that particular context.
  `static final String`
  `INVALID_INDEX_IDS`
  A constant holding the String value, an LOCKED_CODESET_IDS can have LOCKED_CODESET_IDS.i.e IDS of the codesets which are in locked state.
  `static final String`
  `INVALID_TESTCASE_IDS`
  A constant holding the String value, an INVALID_TESTCASE_IDS can have INVALID_TESTCASE_IDS.
  `static final String`
  `INVALID_TESTCASE_VALIDATION_OBJECT`
  A constant INVALID_TESTCASE_VALIDATION_OBJECT holds the String value INVALID_TESTCASE_VALIDATION_OBJECT i.e the ValidationObjects which are null
  `static final String`
  `INVALID_TESTCASE_VALIDATION_STEP_NAME`
  The constant INVALID_TESTCASE_VALIDATION_STEP_NAME holds the String value INVALID_TESTCASE_VALIDATION_STEP_NAME i.e the StepNames which are null or empty.
  `static final String`
  `INVALID_TESTCASE_VALIDATION_STEP_STATUS`
  A constant holding the String value, an INVALID_TESTCASE_VALIDATION_STEP_STATUS can have INVALID_TESTCASE_VALIDATION_STEP_STATUS.
  `static final String`
  `INVALID_TESTCASE_VALIDATION_STEP_TYPE`
  A constant holding the String value, an INVALID_TESTCASE_VALIDATION_STEP_TYPE can have INVALID_TESTCASE_VALIDATION_STEP_TYPE.
  `static final String`
  `LOCKED_CODESET_IDS`
  A constant holding the String value, an LOCKED_CODESET_IDS can have LOCKED_CODESET_IDS.i.e IDS of the codesets which are in locked state.
  `static final String`
  `LOCKED_MAP_IDS`
  A constant holding the String value, an LOCKED_MAP_IDS can have LOCKED_MAP_IDS.i.e IDS of the maps which are in locked state.
  `static final String`
  `MAP_NAME_VALIDATION`
  A constant holding the String value, an MAP_NAME_VALIDATION can have MAP_NAME_VALIDATION.
  `static final String`
  `NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES`
  A constant holding the String value, an NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES can have NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES.
  `static final String`
  `OUTPUT_FILE_PATH`
  A constant holding the String value, an OUTPUT_FILE_PATH can have OUTPUT_FILE_PATH, which holds the path where the outputFile can be located.
  `static final String`
  `PASSIVE_MAP_IDS`
  A constant holding the String value, an PASSIVE_MAP_IDS can have PASSIVE_MAP_IDS, the IDS of the maps which are archived.
  `static final String`
  `PUBLISHED_MAP_IDS`
  A constant holding the String value, an PUBLISHED_MAP_IDS can have PUBLISHED_MAP_IDS, the IDS of the maps which are published.
  `static final String`
  `RELEASE_OBJECT_IDS`
  A constant holding the String value, an RELEASE_OBJECT_IDS can have RELEASE_OBJECT_IDS, the IDS of the maps which are linked to Release.
  `static final String`
  `SUCCESS_IDS`
  A constant holding the String value, an SUCCESS_IDS can have SUCCESS_IDS.
  `static final String`
  `UPDATE_KEY_COUNT`
  A constant holding the String value, an UPDATE_KEY_COUNT can have UPDATE_KEY_COUNT i.e the number of updated keyValues

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `APIConstants()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isTypeFound(long typeCombo, int typeToFind)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OUTPUT_FILE_PATH

    public static final String OUTPUT_FILE_PATH
    A constant holding the String value, an OUTPUT_FILE_PATH can have OUTPUT_FILE_PATH, which holds the path where the outputFile can be located.
    See Also:
      - Constant Field Values

  - ### LOCKED_MAP_IDS

    public static final String LOCKED_MAP_IDS
    A constant holding the String value, an LOCKED_MAP_IDS can have LOCKED_MAP_IDS.i.e IDS of the maps which are in locked state.
    See Also:
      - Constant Field Values

  - ### PASSIVE_MAP_IDS

    public static final String PASSIVE_MAP_IDS
    A constant holding the String value, an PASSIVE_MAP_IDS can have PASSIVE_MAP_IDS, the IDS of the maps which are archived.
    See Also:
      - Constant Field Values

  - ### PUBLISHED_MAP_IDS

    public static final String PUBLISHED_MAP_IDS
    A constant holding the String value, an PUBLISHED_MAP_IDS can have PUBLISHED_MAP_IDS, the IDS of the maps which are published.
    See Also:
      - Constant Field Values

  - ### RELEASE_OBJECT_IDS

    public static final String RELEASE_OBJECT_IDS
    A constant holding the String value, an RELEASE_OBJECT_IDS can have RELEASE_OBJECT_IDS, the IDS of the maps which are linked to Release.
    See Also:
      - Constant Field Values

  - ### ARCHIVED_PUBLISHED_MAP_IDS

    public static final String ARCHIVED_PUBLISHED_MAP_IDS
    A constant holding the String value, an ARCHIVED_PUBLISHED_MAP_IDS can have ARCHIVED_PUBLISHED_MAP_IDS, the IDS of the archived maps which are published.
    See Also:
      - Constant Field Values

  - ### INVALID_TESTCASE_VALIDATION_STEP_NAME

    public static final String INVALID_TESTCASE_VALIDATION_STEP_NAME
    The constant INVALID_TESTCASE_VALIDATION_STEP_NAME holds the String value INVALID_TESTCASE_VALIDATION_STEP_NAME i.e the StepNames which are null or empty.
    See Also:
      - Constant Field Values

  - ### DUPLICATE_TESTCASE_VALIDATION_STEP_NAME

    public static final String DUPLICATE_TESTCASE_VALIDATION_STEP_NAME
    A constant DUPLICATE_TESTCASE_VALIDATION_STEP_NAME holds the String value DUPLICATE_TESTCASE_VALIDATION_STEP_NAME i.e the duplicateStepnames
    See Also:
      - Constant Field Values

  - ### INVALID_TESTCASE_VALIDATION_OBJECT

    public static final String INVALID_TESTCASE_VALIDATION_OBJECT
    A constant INVALID_TESTCASE_VALIDATION_OBJECT holds the String value INVALID_TESTCASE_VALIDATION_OBJECT i.e the ValidationObjects which are null
    See Also:
      - Constant Field Values

  - ### INVALID_TESTCASE_VALIDATION_STEP_TYPE

    public static final String INVALID_TESTCASE_VALIDATION_STEP_TYPE
    A constant holding the String value, an INVALID_TESTCASE_VALIDATION_STEP_TYPE can have INVALID_TESTCASE_VALIDATION_STEP_TYPE.
    See Also:
      - Constant Field Values

  - ### INVALID_TESTCASE_VALIDATION_STEP_STATUS

    public static final String INVALID_TESTCASE_VALIDATION_STEP_STATUS
    A constant holding the String value, an INVALID_TESTCASE_VALIDATION_STEP_STATUS can have INVALID_TESTCASE_VALIDATION_STEP_STATUS.
    See Also:
      - Constant Field Values

  - ### NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES

    public static final String NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES
    A constant holding the String value, an NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES can have NOT_FOUND_TESTCASE_VALIDATION_STEP_NAMES.
    See Also:
      - Constant Field Values

  - ### INVALID_TESTCASE_IDS

    public static final String INVALID_TESTCASE_IDS
    A constant holding the String value, an INVALID_TESTCASE_IDS can have INVALID_TESTCASE_IDS.
    See Also:
      - Constant Field Values

  - ### MAP_NAME_VALIDATION

    public static final String MAP_NAME_VALIDATION
    A constant holding the String value, an MAP_NAME_VALIDATION can have MAP_NAME_VALIDATION.
    See Also:
      - Constant Field Values

  - ### UPDATE_KEY_COUNT

    public static final String UPDATE_KEY_COUNT
    A constant holding the String value, an UPDATE_KEY_COUNT can have UPDATE_KEY_COUNT i.e the number of updated keyValues
    See Also:
      - Constant Field Values

  - ### DELETE_KEY_COUNT

    public static final String DELETE_KEY_COUNT
    A constant holding the String value, an DELETE_KEY_COUNT can have DELETE_KEY_COUNT i.e the number of deleted keyValues
    See Also:
      - Constant Field Values

  - ### INVALID_COMBINATION_IDS

    public static final String INVALID_COMBINATION_IDS
    A constant holding the String value, an INVALID_COMBINATION_IDS can have INVALID_COMBINATION_IDS, the IDS of the invalid combinations.
    See Also:
      - Constant Field Values

  - ### INVALID_IDS

    public static final String INVALID_IDS
    A constant holding the String value, an INVALID_IDS can have INVALID_IDS, the IDS of the invalid at that particular context.
    See Also:
      - Constant Field Values

  - ### INVALID_INDEX_IDS

    public static final String INVALID_INDEX_IDS
    A constant holding the String value, an LOCKED_CODESET_IDS can have LOCKED_CODESET_IDS.i.e IDS of the codesets which are in locked state.
    See Also:
      - Constant Field Values

  - ### FAILED_OBJECTS

    public static final String FAILED_OBJECTS
    A constant holding the String value, an FAILED_OBJECTS can have FAILED_OBJECTS.
    See Also:
      - Constant Field Values

  - ### FAILED_IDS

    public static final String FAILED_IDS
    A constant holding the String value, an FAILED_IDS can have FAILED_IDS.i.e IDS which are failed.
    See Also:
      - Constant Field Values

  - ### SUCCESS_IDS

    public static final String SUCCESS_IDS
    A constant holding the String value, an SUCCESS_IDS can have SUCCESS_IDS.
    See Also:
      - Constant Field Values

  - ### LOCKED_CODESET_IDS

    public static final String LOCKED_CODESET_IDS
    A constant holding the String value, an LOCKED_CODESET_IDS can have LOCKED_CODESET_IDS.i.e IDS of the codesets which are in locked state.
    See Also:
      - Constant Field Values

  - ### APPLICATION_DOCUMENTS_PATH

    public static String APPLICATION_DOCUMENTS_PATH
    A constant holding the String value of application documents path.

- ## Constructor Details

  - ### APIConstants

    public APIConstants()

- ## Method Details

  - ### isTypeFound

    public static boolean isTypeFound(long typeCombo, int typeToFind)
    Parameters:
      `typeCombo` - long
      `typeToFind` - int
    Returns:
      boolean